import {requestInstance} from "@/service";

export function getClearRuleHomeTableData(params) {
 return requestInstance({
  url:'/DataCleaning/getCleaningTaskList',
  data:{
   ...params
  }
 })
}
export function getClearRuleDetailTableData(params) {
 return requestInstance({
  url:'/DataCleaning/getCleaningTaskInfo',
  data:{
   ...params
  }
 })
}

export function getClearRuleDetailClearSelect() {
 return requestInstance({
  url:'/DataCleaning/getCleaningRuleDataList',
  data:{

  }
 })
}
export function changeClearRuleState(params) {
 return requestInstance({
  url:'/DataCleaning/updateCleaningDeployStatus',
  data:{
   ...params
  }
 })
}
export function addClearRuleInfo(params) {
 return requestInstance({
  url:'/DataCleaning/insertCleaningDeploy',
  data:{
   ...params
  }
 })
}
